/*
config
*/
:root {
	--font-sans: "Noto Sans JP",sans-serif;
	--font-serif: "Noto Serif JP",serif;
	--font-en: "Figtree", sans-serif;

	--color-accent: #a41e2e;	/*ロゴの赤*/
}
/*
html
*/
html {
	overflow-y: scroll;
	overflow-x: hidden;
	> body {
		margin: 0;
		font-family: var(--font-sans);
		font-feature-settings: "palt" 1;
		line-break: strict;
		overflow-x: hidden;
		min-height: 100vh;
		scroll-behavior: smooth;
		text-rendering: optimizeSpeed;
		background-repeat: repeat-x;
		background-position: 30% 0;
	}
}
/*
header
*/
header {
	> div.pc {
		user-select: none;
		position: fixed;
		width: 100%;
		z-index: 6;
		background-color: #fff;
		height: 130px;
		transition: height 0.2s;
		@media (width < 1280px) {
			display: none;
		}
		> div {
			margin-top: 15px;
			padding-inline: 40px;
			transition: margin 0.2s;
			display: flex;
			column-gap: 15px;
			align-items: center;
			@media (width < 1450px) {
				column-gap: 5px;
			}
			> div.logo {
				flex-grow: 1;
				> a {
					text-decoration: none;
					&:hover {
						opacity: 0.8;
					}
					> img {
						width: 245px;
						transition: width 0.2s;
					}
				}
			}
			> div.button {
				&.first,
				&.second {
					> a {
						text-decoration: none;
						&:hover {
							opacity: 0.7;
						}
						> div {
							border: 1px solid #3e3a39;
							background-color: #fff;
							padding-block: 11px;
							padding-inline: 15px;
							@media (width < 1400px) {
								padding-block: 8px;
								padding-inline: 10px;
							}
							> p {
								line-height: 1;
								color: #3e3a39;
								font-size: min(0.9rem, 4.5vw);
								font-weight: 500;
							}
						}
					}
				}
				&.third {
					> a {
						text-decoration: none;
						&:hover {
							opacity: 0.7;
						}
						> div {
							border-radius: 10px;
							background-color: #253f7a;
							padding-block: 12px;
							padding-inline: 15px;
							@media (width < 1400px) {
								padding-block: 9px;
								padding-inline: 10px;
							}
							> p {
								line-height: 1;
								color: #fff;
								font-size: min(0.9rem,4.5vw);
								font-weight: 500;
							}
						}
					}
				}
				&.fourth {
					> a {
						text-decoration: none;
						&:hover {
							opacity: 0.7;
						}
						> div {
							border-radius: 10px;
							background-color: #3f4c55;
							padding-block: 12px;
							padding-inline: 15px;
							@media (width < 1400px) {
								padding-block: 9px;
								padding-inline: 10px;
							}
							> p {
								line-height: 1;
								color: #fff;
								font-size: min(0.9rem,4.5vw);
								font-weight: 500;
							}
						}
					}
				}
				&.fifth {
					> a {
						text-decoration: none;
						&:hover {
							opacity: 0.7;
						}
						> div {
							border-radius: 10px;
							background-color: #a72126;
							padding-block: 9px 10px;
							padding-inline: 15px;
							display: flex;
							align-items: center;
							column-gap: 10px;
							@media (width < 1400px) {
								padding-block: 6px 7px;
								padding-inline: 10px;
							}
							> img {
								width: 30px;
							}
							> p {
								line-height: 1;
								color: #fff;
								font-size: min(0.9rem,4.5vw);
								font-weight: 500;
							}
						}
					}
				}
			}
			> div.sns {
				display: flex;
				justify-content: center;
				align-items: center;
				column-gap: 15px;
				@media (width < 1450px) {
					column-gap: 5px;
				}
				> div {
					> a {
						text-decoration: none;
						&:hover {
							opacity: 0.8;
						}
						> img {
							border-radius: 10px;
							width: 40px;
							@media (width < 1400px) {
								width: 34px;
							}
						}
					}
				}
			}
		}
		> nav {
			transition: margin-top 0.2s;
			margin-top: 10px;
			max-width: 1500px;
			margin-inline: auto;
			@media (width < 900px) {
				padding-inline: 5vw;
			}
			> ul {
				display: flex;
				justify-content: center;
				align-items: center;
				> li {
					justify-self: center;
					&:not(:has( > a)) {
						border-right: 1px solid #000;
						height: 1em;
					}
					&:hover {
						> a {
							opacity: 0.8;
							transition:  0.2s;
							> div {
								&.hassubmenu {
									animation-name: submenuArrowMove;
									animation-duration: 0.5s;
									animation-timing-function: ease;
									animation-iteration-count: infinite;
								}
							}
						}
						> div {
							display: block;
						}
					}
					> a {
						text-decoration: none;
						height: 50px;
						display: flex;
						flex-direction: column;
						align-items: center;
						justify-content: center;
						padding-inline: 30px;
						@media (width < 1200px) {
							padding-inline: 20px;
						}
						&:hover {
							background-color: #eee;
							border-radius: 8px;
						}
						> div {
							font-size: 1.0rem;
							color: #111;
							font-weight: 600;
							@media (width < 800px) {
								font-size: 0.9rem;
							}
							&.hassubmenu {
								padding-right: 12px;
								background-image: url(../../common/image/submenu_arrow_333.svg);
								background-repeat: no-repeat;
								background-position: 100% 60%;
							}
							&.on {
								color: var(--color-accent);
							}
						}
					}
					> div {
						position: absolute;
						display: none;
						left: 0;
						top: calc(100% - 6px);
						width: 100%;
						padding-block: 10px 20px;
						white-space: nowrap;
						> dl {
							display: inline-flex;
							> dd {
								> a {
									text-decoration: none;
									display: flex;
									align-items: flex-end;
									padding: 12px 20px 12px 10px;
									&:hover {
										border-radius: 8px;
										background-color: #fff;
										> div {
											color: #333;
											&.on {
												color: var(--color-accent);
											}
										}
									}
									> div {
										font-size: 1rem;
										line-height: 1;
										color: #fff;
										font-weight: 500;
										&.on {
											color: #fbb;
										}
									}
								}
							}
						}
					}
				}
			}
		}
		&.close {
			height: 85px;
			> div {
				margin-top: 3px;
				> div.logo {
					> a {
						> img {
							width: 150px;
						}
					}
				}
			}
			> nav {
				margin-top: 6px;
				> ul {
					> li {
						> a {
							height: 36px;
						}
					}
				}
			}
		}
	}
	> div.sp {
		display: none;
		user-select: none;
		position: fixed;
		width: 100%;
		z-index: 7;
		@media (width < 1280px) {
			display: block;
		}
		@media print {
			display: none;
		}
		> input[type="checkbox"] {
			display: none;
			&:checked {
				& + div > label {
					> div {
						&:nth-of-type(1) {
							animation-name: toggleHamburgerMenuClose1;
						}
						&:nth-of-type(2) {
							animation-name: toggleHamburgerMenuClose2;
						}
						&:nth-of-type(3) {
							animation-name: toggleHamburgerMenuClose3;
						}
					}
				}
				& + div + nav {
					max-height: 600px;
					border-width: 3px;
				}
			}
		}
		> div {
			padding-inline: 5% 2%;
			display: flex;
			justify-content: space-between;
			align-items: center;
			height: 70px;
			background-color: rgba(255,255,255,0.8);
			> div {
				> a {
					text-decoration: none;
					&:hover {
						opacity: 0.7;
					}
					> img {
						display: block;
						width: 210px;
						margin-top: 3px;
					}
				}
			}
			> label {
				box-sizing: border-box;
				width: 60px;
				height: 60px;
				background-color: var(--color-accent);
				border-radius: 20px;
				cursor: pointer;
				padding: 15px;
				display: grid;
				grid-template-rows: 30px;
				grid-template-columns: 30px;
				> div {
					grid-column: 1/2;
					grid-row: 1/2;
					width: 100%;
					border-top: solid 4px #fff;
					align-self: center;
					animation-duration: 0.2s;
					animation-fill-mode: forwards;
					&:nth-of-type(1) {
						animation-name: toggleHamburgerMenuOpen1;
					}
					&:nth-of-type(2) {
						animation-name: toggleHamburgerMenuOpen2;
					}
					&:nth-of-type(3) {
						animation-name: toggleHamburgerMenuOpen3;
					}
				}
			}
		}
		> nav {
			text-align: center;
			overflow: hidden;
			transition: max-height 0.3s, border 0.2s;
			max-height: 0;
			margin-top: 10px;
			margin-inline: 10px;
			border-radius: 20px;
			border: solid 0px #bf626d;
			> ul {
				margin: 0;
				list-style: none;
				background-color: var(--color-accent);
				> li {
					display: flex;
					width: 100%;
					> a {
						text-decoration: none;
						border-bottom: solid 1px rgba(255,255,255,0.2);
						white-space: nowrap;
						display: flex;
						flex-grow: 1;
						flex-direction: column;
						align-items: center;
						justify-content: center;
						padding-block: 15px;
						width: auto;
						&:nth-of-type(2),&:nth-of-type(3) {
							border-left: solid 1px rgba(255,255,255,0.3);
						}
						&[target="_blank"] {
							background-image: url(../image/mark_external_fff.svg);
							background-repeat: no-repeat;
							background-position: right 20px top 50%;
						}
						> div {
							font-size: 1rem;
							line-height: 1.2;
							color: #fff;
							@media (width < 500px) {
								font-size: 0.8rem;
							}
							&.on {
								color: #ff0;
							}
						}
					}
				}
			}
			> input[type="radio"] {
				display: none;
				& + ul {
					overflow: hidden;
					transition: 0.5s;
					max-height: 0;
				}
				&:checked + ul {
					max-height: 300px;
				}
			}
			> label {
				display: block;
				font-size: 1.6rem;
				line-height: 200%;
				color: #000;
				border-bottom: solid 1px #777;
				white-space: nowrap;
				background-color: #444;
				padding: 5px 0;
			}
		}
		&.close {
		}
	}
	> div.spacer {
		height: 130px;
		@media (width < 1280px) {
			height: 70px;
		}
	}
}
@keyframes submenuArrowMove {
	0% {
		background-position: 100% 58%;
	}
	25% {
		background-position: 100% 70%;
	}
	50% {
		background-position: 100% 58%;
	}
	75% {
		background-position: 100% 46%;
	}
	100% {
		background-position: 100% 58%;
	}
}
@keyframes toggleHamburgerMenuClose1 {
	0% {	transform: translateY(-13px) rotate(0deg);	}
	50% {	transform: translateY(0px) rotate(0deg);	}
	100% {	transform: translateY(0px) rotate(45deg);	}
}
@keyframes toggleHamburgerMenuClose2 {
	0% {	opacity: 1;	}
	50% {	opacity: 1;	}
	50.1% {	opacity: 0;	}
	100% {	opacity: 0;	}
}
@keyframes toggleHamburgerMenuClose3 {
	0% {	transform: translateY(13px) rotate(0deg);	}
	50% {	transform: translateY(0px) rotate(0deg);	}
	100% {	transform: translateY(0px) rotate(-45deg);	}
}
@keyframes toggleHamburgerMenuOpen1 {
	0% {	transform: translateY(0px) rotate(45deg);	}
	50% {	transform: translateY(0px) rotate(0deg);	}
	100% {	transform: translateY(-13px) rotate(0deg);	}
}
@keyframes toggleHamburgerMenuOpen2 {
	0% {	opacity: 0;	}
	50% {	opacity: 0;	}
	50.1% {	opacity: 1;	}
	100% {	opacity: 1;	}
}
@keyframes toggleHamburgerMenuOpen3 {
	0% {	transform: translateY(0px) rotate(-45deg);	}
	50% {	transform: translateY(0px) rotate(0deg);	}
	100% {	transform: translateY(13px) rotate(0deg);	}
}
/*
footer
*/
footer.address {
	padding: 40px 5% 0px 5%;
	background-color: #a41e2e;
	> div {
		max-width: 1300px;
		margin-inline: auto;
		margin-top: 15px;
		transition: margin-top 0.2s;
		display: flex;
		justify-content: space-between;
		align-items: start;
		@media (width < 1400px) {
			flex-direction: column;
			align-items: center;
			row-gap: 20px;
		}
		> div.logo {
			> a {
				justify-self: start;
				text-decoration: none;
				&:hover {
					opacity: 0.8;
				}
				> img {
					width: min(300px, 80vw);
				}
			}
			> p {
				margin-top: 20px;
				font-size: min(1.0rem,5.0vw);
				line-height: 1.3;
				color: #fff;
				font-weight: 500;
			}
		}
		> div.link {
			display: grid;
			grid-template-columns: repeat(6,auto);
			column-gap: 15px;
			row-gap: 10px;
			@media (width < 1030px) {
				grid-template-columns: repeat(5,auto);
				margin-inline: auto;
			}
			@media (width < 880px) {
				grid-template-columns: repeat(3,auto);
			}
			@media (width < 600px) {
				grid-template-columns: repeat(2,auto);
			}
			> div.button {
				&.first,
				&.second {
					> a {
						text-decoration: none;
						&:hover {
							opacity: 0.7;
						}
						> div {
							background-color: #fff;
							padding-block: 8px 9px;
							padding-inline: 10px;
							> p {
								line-height: 1;
								color: #3e3a39;
								font-size: min(0.8rem, 4.5vw);
							}
						}
					}
				}
				&.third {
					> a {
						text-decoration: none;
						&:hover {
							opacity: 0.7;
						}
						> div {
							border-radius: 10px;
							background-color: #253f7a;
							padding-block: 10px;
							padding-inline: 10px;
							> p {
								line-height: 1;
								color: #fff;
								font-size: min(0.8rem, 4.5vw);
							}
						}
					}
				}
				&.fourth {
					> a {
						text-decoration: none;
						&:hover {
							opacity: 0.7;
						}
						> div {
							border-radius: 10px;
							background-color: #3f4c55;
							padding-block: 10px;
							padding-inline: 10px;
							> p {
								line-height: 1;
								color: #fff;
								font-size: min(0.8rem, 4.5vw);
							}
						}
					}
				}
				&.fifth {
					> a {
						text-decoration: none;
						&:hover {
							opacity: 0.7;
						}
						> div {
							border-radius: 10px;
							background-color: #fff;
							padding-block: 6px 7px;
							padding-inline: 10px;
							display: flex;
							align-items: center;
							column-gap: 10px;
							> img {
								width: 30px;
							}
							> p {
								line-height: 1;
								color: #a41e2e;
								font-size: min(0.8rem, 4.5vw);
							}
						}
					}
				}
			}
			> div.sns {
				display: flex;
				justify-content: center;
				align-items: center;
				column-gap: 10px;
				@media (width < 1030px) {
					grid-row: 2/3;
					grid-column: 1/6;
				}
				@media (width < 880px) {
					grid-row: 2/3;
					grid-column: 3/4;
				}
				@media (width < 600px) {
					grid-row: 3/4;
					grid-column: 2/3;
				}
				> div {
					> a {
						text-decoration: none;
						&:hover {
							opacity: 0.8;
						}
						> img {
							border-radius: 10px;
							width: 34px;
						}
					}
				}
			}
		}
	}
}
footer.link01 {
	padding: 50px 5% 0px 5%;
	background-color: #a41e2e;
	> div {
		max-width: 1340px;
		margin-inline: auto;
		> ul {
			display: grid;
			grid-template-columns: repeat(9, auto);
			@media (width < 1350px) {
				grid-template-columns: repeat(4, 1fr);
				row-gap: 15px;
			}
			@media (width < 770px) {
				grid-template-columns: repeat(2, 1fr);
			}
			@media (width < 380px) {
				grid-template-columns: repeat(1, 1fr);
				column-gap: 15px;
			}
			> li {
				border-right: 1px solid #fff;
				&:last-of-type {
					border-right: unset;
				}
				@media (width < 1220px) {
					padding-inline: 0px;
					&:nth-of-type(4n) {
						border-right: unset;
					}
				}
				@media (width < 770px) {
					border-right: unset;
				}
				@media (width < 380px) {
					border-right: unset;
					&:nth-of-type(3n) {
						border-right: unset;
					}
				}
				> a {
					text-decoration: none;
					height: 25px;
					display: flex;
					flex-direction: column;
					align-items: center;
					justify-content: center;
					&:hover {
						> div {
							text-decoration: underline;
						}
					}
					> div {
						font-size: 1.0rem;
						color: #fff;
						font-weight: 600;
						@media (width < 800px) {
							font-size: 0.9rem;
						}
						&.on {
							color: var(--color-accent);
						}
					}
				}
			}
		}
	}
}
footer.link02 {
	padding: 20px 5% 40px 5%;
	background-color: #a41e2e;
	> div {
		max-width: 1300px;
		margin-inline: auto;
		border-top: solid 1px rgba(255,255,255,0.1);
		padding-top: 20px;
		> ul {
			display: flex;
			flex-wrap: wrap;
			column-gap: 25px;
			row-gap: 10px;
			@media (width < 1490px) {
				justify-content: center;
			}
			> li {
				> a {
					text-decoration: none;
					height: 25px;
					&:hover {
						> div {
							text-decoration: underline;
						}
					}
					> div {
						font-size: 1.0rem;
						color: #fff;
						@media (width < 800px) {
							font-size: 0.9rem;
						}
						&.on {
							color: var(--color-accent);
						}
					}
				}
			}
		}
	}
}
footer.nav {
	padding: 20px 5% 40px 5%;
	background-color: #bb5662;
	> div {
		max-width: 1300px;
		margin-inline: auto;
		> dl {
			display: grid;
			grid-template-columns: repeat(6,auto);
			column-gap: 15px;
			@media (width < 1340px) {
				grid-template-columns: repeat(4,auto);
			}
			@media (width < 800px) {
				grid-template-columns: repeat(3,auto);
			}
			@media (width < 670px) {
				grid-template-columns: repeat(2,auto);
			}
			@media (width < 490px) {
				grid-template-columns: repeat(1,auto);
				text-align: center;
			}
			> div {
				> dt {
					margin-top: 10px;
					font-size: 1.1rem;
					color: #fff;
					font-weight: 600;
					padding-block: 6px;
					white-space: nowrap;
				}
				> dd {
					> a {
						display: block;
						text-decoration: none;
						font-size: 0.9rem;
						color: #fff;
						line-height: 1.3;
						padding-block: 8px;
						padding-left: 0.1em;
						&:hover {
							text-decoration: underline;
						}
						&.on {
							color: #a72126;
						}
					}
				}
			}
		}
	}
}
footer.copyright {
	padding: 20px 5% 20px 5%;
	background-color: #fff;
	> div {
		max-width: 1000px;
		margin-inline: auto;
		text-align: center;
		> small {
			display: inline-block;
			font-size: 0.8rem;
			line-height: 1.4;
			color: #a41e2e;
		}
	}
}
/*
common_link
*/
section.commonLink {
	> div {
		display: grid;
		grid-template-columns: repeat(2, 1fr);
		@media (width < 1100px) {
			grid-template-columns: repeat(1, 1fr);
		}
		> a {
			text-decoration: none;
			&:hover {
				opacity: 0.8;
			}
			> div {
				padding: 30px 50px;
				display: flex;
				align-items: center;
				column-gap: 20px;
				@media (width < 1100px) {
					justify-content: center;
				}
				@media (width < 600px) {
					padding: 30px 10px;
				}
				> h2 {
					font-size: min(2.3rem, 7vw);
					line-height: 1.0;
					color: #fff;
					font-weight: 700;
				}
				> figure {
					> img {
						width: 45px;
						@media (width < 600px) {
							width: 30px;
						}
					}
				}
			}
			&:nth-of-type(1) {
				> div {
					background: url(../image/commonlink_question.svg) no-repeat 100% 0% / auto 60px, #1f3d7e;
					@media (width < 600px) {
						background: url(../image/commonlink_question.svg) no-repeat 100% 0% / auto 40px, #1f3d7e;
					}
				}
			}
			&:nth-of-type(2) {
				> div {
					background: url(../image/commonlink_contact.svg) no-repeat 100% 0% / auto 60px, #00ac9a;
					@media (width < 600px) {
						background: url(../image/commonlink_contact.svg) no-repeat 100% 0% / auto 40px, #00ac9a;
					}
				}
			}
		}
	}
}


